## com.lowagie.text.rtf.text
Class RtfTabGroup

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.RtfAddableElement
              com.lowagie.text.rtf.text.RtfTabGroup

All Implemented Interfaces:
  Element, MarkupAttributes, RtfBasicElement

    public class RtfTabGroup

extends RtfAddableElement

The RtfTabGroup is a convenience class if the same tabs are to be added to multiple paragraphs.
`RtfTabGroup tabs = new RtfTabGroup();
tabs.add(new RtfTab(70, RtfTab.TAB_LEFT_ALIGN));
tabs.add(new RtfTab(160, RtfTab.TAB_CENTER_ALIGN));
tabs.add(new RtfTab(250, RtfTab.TAB_DECIMAL_ALIGN));
tabs.add(new RtfTab(500, RtfTab.TAB_RIGHT_ALIGN));
Paragraph para = new Paragraph();
para.add(tabs);
para.add("\tLeft aligned\tCentre aligned\t12,45\tRight aligned");`

Version:
  $Revision: 1.1 $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private java.util.ArrayList` `tabs` The tabs to add.

Fields inherited from class com.lowagie.text.rtf.RtfAddableElement
`doc, inHeader, inTable`

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, content, ENCODING, font, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, markupAttributes, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfTabGroup()` Constructs an empty RtfTabGroup.
`RtfTabGroup(java.util.ArrayList tabs)` Constructs a RtfTabGroup with a set of tabs.

Method Summary
`void` `add(RtfTab tab)` Adds a RtfTab to the list of grouped tabs.
`byte[]` `write()` Combines the tab output form all grouped tabs.

Methods inherited from class com.lowagie.text.rtf.RtfAddableElement
`intToByteArray, setInHeader, setInTable, setRtfDocument`

Methods inherited from class com.lowagie.text.Chunk

`addToArray, append, content, font, getAttributes, getChunks, getHorizontalScaling, getImage, getKeySet, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getTextRise, getWidthPoint, hasAttributes, isEmpty, isTag, process, setAction, setAnchor, setAnchor, setAnnotation, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setMarkupAttribute, setMarkupAttributes, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tabs

    private java.util.ArrayList tabs

  The tabs to add.

Constructor Detail

### RtfTabGroup

    public RtfTabGroup()

  Constructs an empty RtfTabGroup.

### RtfTabGroup

    public RtfTabGroup(java.util.ArrayList tabs)

  Constructs a RtfTabGroup with a set of tabs.

  Parameters:
    `tabs` - An ArrayList with the RtfTabs to group in this RtfTabGroup.

Method Detail

### add

    public void add(RtfTab tab)

  Adds a RtfTab to the list of grouped tabs.

  Parameters:
    `tab` - The RtfTab to add.

### write

    public byte[] write()

  Combines the tab output form all grouped tabs.

  Specified by:
    `write` in interface `RtfBasicElement`
  Specified by:
    `write` in class `RtfAddableElement`
  Returns:
    The byte array containing the data